import numpy as np
import matplotlib
matplotlib.use("TkAgg")
import matplotlib.pyplot as plt
plt.rcParams["figure.figsize"] = (10, 10)
plt.ion()

class Character:
    # TODO finish
    def draw(self):
        x_data = []
        y_data = []
        for vec2 in self.geometry:
            x_data.append(vec2[0])
            y_data.append(vec2[1])
        plt.plot(x_data, y_data)

#TODO implement Player & asteroid

characters = []
player = Player() # TODO implement
characters.append(player)

characters.append(Asteroid()) # TODO implement
characters.append(Asteroid()) # TODO implement

is_running = True

def on_press(event):
    global is_running, player
    if event.key == 'escape':
        is_running = False
    elif event.key == 'left':
        player.angle += 5
    elif event.key == 'right':
        player.angle -= 5

fig, _ = plt.subplots()
fig.canvas.mpl_connect('key_press_event', on_press)

while is_running:
    plt.clf()
    plt.xlim(-10, 10)
    plt.ylim(-10, 10)

    for each in characters:
        each.draw()
        #TODO display angle in plot title
        plt.title(f"angle: ?")

    plt.draw()
    plt.pause(1e-3)

